Foreman - Bug #11120

MigrateWebsocketsSetting fails with ReadOnlyRecord when websockets_encrypt is in settings.yaml
07/15/2015 04:14 AM - Dominic Cleal

Status: Closed
Priority: High
Assignee: Dominic Cleal
Category: DB migrations
Target version: 1.10.0
Difficulty: Fixed in Releases:
Triaged: Found in Releases:
Bugzilla link: Red Hat JIRA:
Pull request: https://github.com/theforeman/foreman/p
ull/2552
Description

When websockets_encrypt is specified in settings.yaml and therefore is read only, the websockets migration from #9603 fails:

== MigrateWebsocketsSetting: migrating
rake aborted!
An error has occurred, this and all later migrations canceled:

ActiveRecord: :ReadOnlyRecord
/opt/rh/rubyl93/root/usr/share/gems/gems/activerecord-3.2.8/1lib/active_record/persistence.rb:346:1
n ‘create_or_update'
/opt/rh/rubyl93/root/usr/share/gems/gems/activerecord-3.2.8/1lib/active_record/callbacks.rb:264:1in
"block in create_or_update'
/opt/rh/rubyl93/root/usr/share/gems/gems/activesupport-3.2.8/1lib/active_support/callbacks.rb:447:1i
n ~_run_ 1394883889111354509_ save_ 2446870382972879993_ callbacks'
/opt/rh/rubyl93/root/usr/share/gems/gems/activesupport-3.2.8/1lib/active_support/callbacks.rb:405:1i
n “_ _run_callback'
/opt/rh/rubyl93/root/usr/share/gems/gems/activesupport-3.2.8/1lib/active_support/callbacks.rb:385:1
n ' _run_save_callbacks'
/opt/rh/rubyl93/root/usr/share/gems/gems/activesupport-3.2.8/1lib/active_support/callbacks.rb:81:in
“run_callbacks'
/opt/rh/rubyl93/root/usr/share/gems/gems/activerecord-3.2.8/1lib/active_record/callbacks.rb:264:in
‘create_or_update'
/opt/rh/rubyl93/root/usr/share/gems/gems/activerecord-3.2.8/1lib/active_record/persistence.rb:84:in
“save'
/opt/rh/rubyl93/root/usr/share/gems/gems/activerecord-3.2.8/1lib/active_record/validations.rb:50:1in
“save'
/opt/rh/rubyl93/root/usr/share/gems/gems/activerecord-3.2.8/1lib/active_record/attribute_methods/di
rty.rb:22:in "~ save'
/opt/rh/rubyl93/root/usr/share/gems/gems/activerecord-3.2.8/1lib/active_record/transactions.rb:241:
in “block (2 levels) in save'
/opt/rh/rubyl93/root/usr/share/gems/gems/activerecord-3.2.8/1lib/active_record/transactions.rb:295:
in “block in with_transaction_returning_status'
/opt/rh/rubyl93/root/usr/share/gems/gems/activerecord-3.2.8/1lib/active_record/connection_adapters/
abstract/database_statements.rb:192:in ‘transaction'
/opt/rh/rubyl93/root/usr/share/gems/gems/activerecord-3.2.8/1lib/active_record/transactions.rb:208:
in “transaction’
/opt/rh/rubyl93/root/usr/share/gems/gems/activerecord-3.2.8/1ib/active_record/transactions.rb:293:
in “with_transaction_returning_status'
/opt/rh/rubyl93/root/usr/share/gems/gems/activerecord-3.2.8/1lib/active_record/transactions.rb:241:
in “block in save'
/opt/rh/rubyl93/root/usr/share/gems/gems/activerecord-3.2.8/1lib/active_record/transactions.rb:252:
in “rollback_active_record_state!'
/opt/rh/rubyl93/root/usr/share/gems/gems/activerecord-3.2.8/1lib/active_record/transactions.rb:240:
in "~ save'
/usr/share/foreman/db/migrate/20150312144232_migrate_websockets_setting.rb:12:in “up'
https://projects.theforeman.org/issues/9603

Related issues:
Related to Foreman - Bug #9603: Setting called websockets_encrypt does not wo... Closed
Related to Foreman - Bug #11284: Unable to unset websockets_ssl_key when webs... Closed

03/02/2015
08/04/2015

Associated revisions

Revision 70¢927¢2 - 07/17/2015 05:17 AM - Dominic Cleal

fixes #11120 - migrate websockets setting when readonly in settings.yaml

History

#1 - 07/15/2015 04:14 AM - Dominic Cleal
- Related to Bug #9603: Setting called websockets_encrypt does not work correctly added

#2 - 07/15/2015 04:16 AM - Dominic Cleal

- translation missing: en.field_release set to 63

#3 - 07/15/2015 09:31 AM - Dominic Cleal
- Status changed from New to Assigned

- Assignee set to Dominic Cleal

#4 - 07/16/2015 03:38 AM - The Foreman Bot

- Status changed from Assigned to Ready For Testing

- Pull request https://github.com/theforeman/foreman/pull/2552 added
- Pull request deleted ()

#5 - 07/17/2015 06:02 AM - Dominic Cleal
- Status changed from Ready For Testing to Closed
- % Done changed from 0 to 100

Applied in changeset 70c927¢c2b29d758ec22182cdf6¢c5c902¢15fd604.

#6 - 08/04/2015 09:22 AM - Stephen Benjamin

- Related to Bug #11284: Unable to unset websockets_ssl_key when websockets_encrypt is on added
